Bug 244890 - marble brutally stopped
Summary: marble brutally stopped
Status: RESOLVED DUPLICATE of bug 205893
Alias: None
Product: marble
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 0.8 (KDE 4.3)
Assignee: marble-bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-16 20:46 UTC by bedwyr
Modified: 2013-10-20 08:02 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (11.32 KB, text/plain)
2010-10-18 21:26 UTC, bedwyr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bedwyr 2010-07-16 20:46:13 UTC
Application: marble (0.9.2)
KDE Platform Version: 4.4.2 (KDE 4.4.2)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-23-generic x86_64
Distribution: Ubuntu 10.04 LTS

-- Information about the crash:
when moving the globe with the mouse, marble brutally crashed almost each time.

The crash can be reproduced every time.

 -- Backtrace:
Application: Globe de bureau Marble (marble), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f9e1186f760 (LWP 7749))]

Thread 3 (Thread 0x7f9dff5a2710 (LWP 7750)):
#0  0x00007f9e0ded53f5 in __pthread_mutex_lock (mutex=0x119b058) at pthread_mutex_lock.c:61
#1  0x00007f9e099f85d1 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f9e099f88fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f9e0fb24566 in QEventDispatcherGlib::processEvents (this=0x10afe00, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007f9e0faf9992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f9e0faf9d6c in QEventLoop::exec (this=0x7f9dff5a1db0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f9e0fa03d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007f9e0fada178 in QInotifyFileSystemWatcherEngine::run (this=0x1185540) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f9e0fa06775 in QThreadPrivate::start (arg=0x1185540) at thread/qthread_unix.cpp:248
#9  0x00007f9e0ded29ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007f9e0e4176fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f9dfe036710 (LWP 7766)):
#0  0x00007f9e09e9e4b0 in ?? () from /usr/lib/libgthread-2.0.so.0
#1  0x00007f9e09a1d499 in g_thread_self () from /lib/libglib-2.0.so.0
#2  0x00007f9e099f88e9 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f9e0fb24566 in QEventDispatcherGlib::processEvents (this=0x1c631d0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007f9e0faf9992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f9e0faf9d6c in QEventLoop::exec (this=0x7f9dfe035d90, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f9e0fa03d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007f9e10f30d18 in Marble::FileStorageWatcher::run (this=0x100ca60) at ../../../../marble/src/lib/FileStorageWatcher.cpp:400
#8  0x00007f9e0fa06775 in QThreadPrivate::start (arg=0x100ca60) at thread/qthread_unix.cpp:248
#9  0x00007f9e0ded29ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007f9e0e4176fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f9e1186f760 (LWP 7749)):
[KCrash Handler]
#5  0x00007f9e10f3436c in Marble::TextureTilePrivate::pixel (this=<value optimized out>, x=477, y=-1) at ../../../../marble/src/lib/TextureTile.cpp:82
#6  Marble::TextureTile::pixel (this=<value optimized out>, x=477, y=-1) at ../../../../marble/src/lib/TextureTile.cpp:392
#7  0x00007f9e10f277c7 in Marble::AbstractScanlineTextureMapper::pixelValueApprox (this=0x1055f30, lon=<value optimized out>, lat=<value optimized out>, scanLine=0x1a787a4, n=<value optimized out>)
    at ../../../../marble/src/lib/AbstractScanlineTextureMapper.cpp:418
#8  0x00007f9e10f28816 in Marble::SphericalScanlineTextureMapper::mapTexture (this=0x1055f30, viewParams=<value optimized out>) at ../../../../marble/src/lib/SphericalScanlineTextureMapper.cpp:187
#9  0x00007f9e10eb1f1e in Marble::MarbleModel::paintGlobe (this=0x1057b20, painter=<value optimized out>, width=<value optimized out>, height=664, viewParams=0xeb9570, redrawBackground=true, 
    dirtyRect=...) at ../../../../marble/src/lib/MarbleModel.cpp:577
#10 0x00007f9e10eb9d46 in Marble::MarbleMapPrivate::paintGround (this=0xeb9550, painter=..., dirtyRect=<value optimized out>) at ../../../../marble/src/lib/MarbleMap.cpp:287
#11 0x00007f9e10eaa09d in Marble::MarbleWidget::paintEvent (this=0xebd880, evt=<value optimized out>) at ../../../../marble/src/lib/MarbleWidget.cpp:867
#12 0x00007f9e0ef0a162 in QWidget::event (this=0xebd880, event=0x7fff9c39a4c0) at kernel/qwidget.cpp:8144
#13 0x00007f9e0eeb422c in QApplicationPrivate::notify_helper (this=0xde9940, receiver=0xebd880, e=0x7fff9c39a4c0) at kernel/qapplication.cpp:4300
#14 0x00007f9e0eeba6fb in QApplication::notify (this=0x7fff9c39cc30, receiver=0xebd880, e=0x7fff9c39a4c0) at kernel/qapplication.cpp:4183
#15 0x00007f9e104e3526 in KApplication::notify (this=0x7fff9c39cc30, receiver=0xebd880, event=0x7fff9c39a4c0) at ../../kdeui/kernel/kapplication.cpp:302
#16 0x00007f9e0fafb06c in QCoreApplication::notifyInternal (this=0x7fff9c39cc30, receiver=0xebd880, event=0x7fff9c39a4c0) at kernel/qcoreapplication.cpp:704
#17 0x00007f9e0ef127dd in QCoreApplication::sendSpontaneousEvent (this=0x1056e60, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0x120dd00) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#18 QWidgetPrivate::drawWidget (this=0x1056e60, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x120dd00)
    at kernel/qwidget.cpp:5339
#19 0x00007f9e0f0cc866 in QWidgetBackingStore::sync (this=0x120dd00) at painting/qbackingstore.cpp:1283
#20 0x00007f9e0ef03b60 in QWidgetPrivate::syncBackingStore (this=0xe4fea0) at kernel/qwidget.cpp:1672
#21 0x00007f9e0ef0a865 in QWidget::event (this=0xe4fc90, event=0x7fff9c39b350) at kernel/qwidget.cpp:8291
#22 0x00007f9e0f2cccab in QMainWindow::event (this=0xe4fc90, event=0x7fff9c39b350) at widgets/qmainwindow.cpp:1433
#23 0x00007f9e105fa6f3 in KXmlGuiWindow::event (this=0x12e6970, ev=0x1dd) at ../../kdeui/xmlgui/kxmlguiwindow.cpp:131
#24 0x00007f9e0eeb422c in QApplicationPrivate::notify_helper (this=0xde9940, receiver=0xe4fc90, e=0x7fff9c39b350) at kernel/qapplication.cpp:4300
#25 0x00007f9e0eeba6fb in QApplication::notify (this=0x7fff9c39cc30, receiver=0xe4fc90, e=0x7fff9c39b350) at kernel/qapplication.cpp:4183
#26 0x00007f9e104e3526 in KApplication::notify (this=0x7fff9c39cc30, receiver=0xe4fc90, event=0x7fff9c39b350) at ../../kdeui/kernel/kapplication.cpp:302
#27 0x00007f9e0fafb06c in QCoreApplication::notifyInternal (this=0x7fff9c39cc30, receiver=0xe4fc90, event=0x7fff9c39b350) at kernel/qcoreapplication.cpp:704
#28 0x00007f9e0f0c9c47 in QCoreApplication::sendEvent (widget=0xe4fc90, updateImmediately=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#29 sendUpdateRequest (widget=0xe4fc90, updateImmediately=<value optimized out>) at painting/qbackingstore.cpp:503
#30 0x00007f9e0f0cd0c6 in QWidgetBackingStore::markDirty (this=0x120dd00, rect=..., widget=0xebd880, updateImmediately=true, invalidateBuffer=64) at painting/qbackingstore.cpp:667
#31 0x00007f9e0ef0648b in QWidget::repaint (this=0xebd880, rect=...) at kernel/qwidget.cpp:10034
#32 0x00007f9e0ef06553 in QWidget::repaint (this=0x12e6970) at kernel/qwidget.cpp:9990
#33 0x00007f9e10eac77a in Marble::MarbleWidget::centerOn (this=0xebd880, lon=@0x7fff9c39b7e8, lat=@0x7fff9c39b7e0, animated=<value optimized out>) at ../../../../marble/src/lib/MarbleWidget.cpp:557
#34 0x00007f9e10ed03c8 in Marble::MarbleWidgetDefaultInputHandler::eventFilter (this=0x110b260, o=<value optimized out>, e=0x7fff9c39bf30)
    at ../../../../marble/src/lib/MarbleWidgetInputHandler.cpp:486
#35 0x00007f9e0fafa487 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0xebd880, event=0x7fff9c39bf30) at kernel/qcoreapplication.cpp:819
#36 0x00007f9e0eeb41fc in QApplicationPrivate::notify_helper (this=0xde9940, receiver=0xebd880, e=0x7fff9c39bf30) at kernel/qapplication.cpp:4296
#37 0x00007f9e0eebaecb in QApplication::notify (this=0x7fff9c39cc30, receiver=0xebd880, e=0x7fff9c39bf30) at kernel/qapplication.cpp:3865
#38 0x00007f9e104e3526 in KApplication::notify (this=0x7fff9c39cc30, receiver=0xebd880, event=0x7fff9c39bf30) at ../../kdeui/kernel/kapplication.cpp:302
#39 0x00007f9e0fafb06c in QCoreApplication::notifyInternal (this=0x7fff9c39cc30, receiver=0xebd880, event=0x7fff9c39bf30) at kernel/qcoreapplication.cpp:704
#40 0x00007f9e0eeba0ae in QCoreApplication::sendEvent (receiver=0xebd880, event=0x7fff9c39bf30, alienWidget=0xebd880, nativeWidget=0xe4fc90, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>, spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#41 QApplicationPrivate::sendMouseEvent (receiver=0xebd880, event=0x7fff9c39bf30, alienWidget=0xebd880, nativeWidget=0xe4fc90, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>, spontaneous=true) at kernel/qapplication.cpp:2965
#42 0x00007f9e0ef39f65 in QETWidget::translateMouseEvent (this=0xe4fc90, event=<value optimized out>) at kernel/qapplication_x11.cpp:4368
#43 0x00007f9e0ef388ac in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fff9c39c850) at kernel/qapplication_x11.cpp:3501
#44 0x00007f9e0ef64882 in x11EventSourceDispatch (s=0xddf740, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#45 0x00007f9e099f48c2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#46 0x00007f9e099f8748 in ?? () from /lib/libglib-2.0.so.0
#47 0x00007f9e099f88fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#48 0x00007f9e0fb24513 in QEventDispatcherGlib::processEvents (this=0xdd1710, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#49 0x00007f9e0ef6446e in QGuiEventDispatcherGlib::processEvents (this=0x12e6970, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#50 0x00007f9e0faf9992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#51 0x00007f9e0faf9d6c in QEventLoop::exec (this=0x7fff9c39cb80, flags=) at kernel/qeventloop.cpp:201
#52 0x00007f9e0fafdaab in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#53 0x0000000000416ea5 in main (argc=<value optimized out>, argv=<value optimized out>) at ../../../marble/src/kdemain.cpp:293

Reported using DrKonqi
Comment 1 Bastian Senst 2010-10-11 16:32:01 UTC
Hi,

I can not reproduce this bug. Could you provide more information like your configuration file from ~/.kde/share/config/marblerc (or ~/.kde4/share/config/marblerc) and the contents of the directory ~/.marble (or ~/.local/share/marble)?

Which map theme do you use?

Best regards
Bastian
Comment 2 bedwyr 2010-10-18 21:21:27 UTC
Well, I can reproduce it with the new version of Ubuntu
Application: marble ( 0.10.1)
KDE Platform Version: 4.5.1 (KDE 4.5.1)
Operating System: Linux 2.6.35-22-generic x86_64
Distribution: Ubuntu 10.10

Map theme: Atlas

~/.kde/share/config/marblerc:
[Cache]
volatileTileCacheLimit=50

[KFileDialog Settings]
Height 768=288
Width 1024=585

[MainWindow]
Height 1080=727
Height 768=769
State=AAAA/wAAAAD9AAAAAAAAA+8AAAKmAAAABAAAAAQAAAAIAAAACPwAAAABAAAAAgAAAAEAAAAWAG0AYQBpAG4AVABvAG8AbABCAGEAcgAAAAAA/////wAAAAAAAAAA
ToolBarsMovable=Disabled
Width 1024=1025
Width 1920=1007


$ ls -R .marble/
.marble/:                                                                                                                            
data                                                                                                                                 
.marble/data:                                                                                                                        
maps                                                                                                                                 
.marble/data/maps:                                                                                                                   
earth  mars  moon  venus                                                                                                             
.marble/data/maps/earth:                                                                                                             
bluemarble  citylights  clouds  delisle1720  openstreetmap  precip-dec  precip-july  temp-dec  temp-july                             
                                                                                .marble/data/maps/earth/bluemarble:                                                                                                  
0  1  2  3  4  5  6

.marble/data/maps/earth/bluemarble/0:
000000

.marble/data/maps/earth/bluemarble/0/000000:
000000_000000.jpg  000000_000001.jpg

.marble/data/maps/earth/bluemarble/1:
000000  000001

.marble/data/maps/earth/bluemarble/1/000000:
000000_000000.jpg  000000_000001.jpg  000000_000002.jpg  000000_000003.jpg

.marble/data/maps/earth/bluemarble/1/000001:
000001_000000.jpg  000001_000001.jpg  000001_000002.jpg  000001_000003.jpg

.marble/data/maps/earth/bluemarble/2:
000000  000001

.marble/data/maps/earth/bluemarble/2/000000:
000000_000002.jpg  000000_000003.jpg  000000_000004.jpg  000000_000005.jpg

.marble/data/maps/earth/bluemarble/2/000001:
000001_000002.jpg  000001_000003.jpg  000001_000004.jpg  000001_000005.jpg

.marble/data/maps/earth/bluemarble/3:
000001

.marble/data/maps/earth/bluemarble/3/000001:
000001_000008.jpg

.marble/data/maps/earth/bluemarble/4:
000003

.marble/data/maps/earth/bluemarble/4/000003:
000003_000016.jpg

.marble/data/maps/earth/bluemarble/5:
000007

.marble/data/maps/earth/bluemarble/5/000007:
000007_000032.jpg

.marble/data/maps/earth/bluemarble/6:
000014

.marble/data/maps/earth/bluemarble/6/000014:
000014_000064.jpg  000014_000065.jpg

.marble/data/maps/earth/citylights:
0  1

.marble/data/maps/earth/citylights/0:
000000

.marble/data/maps/earth/citylights/0/000000:
000000_000000.jpg  000000_000001.jpg

.marble/data/maps/earth/citylights/1:
000000  000001

.marble/data/maps/earth/citylights/1/000000:
000000_000000.jpg  000000_000001.jpg  000000_000002.jpg  000000_000003.jpg

.marble/data/maps/earth/citylights/1/000001:
000001_000000.jpg  000001_000001.jpg  000001_000002.jpg

.marble/data/maps/earth/clouds:
0  1

.marble/data/maps/earth/clouds/0:
000000

.marble/data/maps/earth/clouds/0/000000:
000000_000000.jpg  000000_000001.jpg

.marble/data/maps/earth/clouds/1:
000000  000001

.marble/data/maps/earth/clouds/1/000000:
000000_000000.jpg  000000_000001.jpg  000000_000002.jpg  000000_000003.jpg

.marble/data/maps/earth/clouds/1/000001:
000001_000000.jpg  000001_000001.jpg  000001_000002.jpg  000001_000003.jpg

.marble/data/maps/earth/delisle1720:
0  1  2  delisle1720.dgml  delisle1720-preview.png  legend  legend.html

.marble/data/maps/earth/delisle1720/0:
000000

.marble/data/maps/earth/delisle1720/0/000000:
000000_000000.jpg  000000_000001.jpg

.marble/data/maps/earth/delisle1720/1:
000000  000001

.marble/data/maps/earth/delisle1720/1/000000:
000000_000000.jpg  000000_000001.jpg  000000_000002.jpg  000000_000003.jpg

.marble/data/maps/earth/delisle1720/1/000001:
000001_000000.jpg  000001_000001.jpg  000001_000002.jpg  000001_000003.jpg

.marble/data/maps/earth/delisle1720/2:
000000  000001  000002  000003

.marble/data/maps/earth/delisle1720/2/000000:
000000_000000.jpg  000000_000002.jpg  000000_000004.jpg  000000_000006.jpg
000000_000001.jpg  000000_000003.jpg  000000_000005.jpg  000000_000007.jpg

.marble/data/maps/earth/delisle1720/2/000001:
000001_000000.jpg  000001_000002.jpg  000001_000004.jpg  000001_000006.jpg
000001_000001.jpg  000001_000003.jpg  000001_000005.jpg  000001_000007.jpg

.marble/data/maps/earth/delisle1720/2/000002:
000002_000000.jpg  000002_000002.jpg  000002_000004.jpg  000002_000006.jpg
000002_000001.jpg  000002_000003.jpg  000002_000005.jpg  000002_000007.jpg

.marble/data/maps/earth/delisle1720/2/000003:
000003_000000.jpg  000003_000002.jpg  000003_000004.jpg  000003_000006.jpg
000003_000001.jpg  000003_000003.jpg  000003_000005.jpg  000003_000007.jpg

.marble/data/maps/earth/delisle1720/legend:
delisle_orig.png   lake.png      nauticalroute.png  schagen_orig.png   town.png
delisle_title.png  mountain.png  river.png          schagen_title.png

.marble/data/maps/earth/openstreetmap:
0  1  10  2  3  4  5  6  7  8  9

.marble/data/maps/earth/openstreetmap/0:
0

.marble/data/maps/earth/openstreetmap/0/0:
0.png

.marble/data/maps/earth/openstreetmap/1:
0  1

.marble/data/maps/earth/openstreetmap/1/0:
0.png  1.png

.marble/data/maps/earth/openstreetmap/1/1:
0.png  1.png

.marble/data/maps/earth/openstreetmap/10:
517  518  519

.marble/data/maps/earth/openstreetmap/10/517:
351.png  352.png  353.png

.marble/data/maps/earth/openstreetmap/10/518:
351.png  352.png  353.png

.marble/data/maps/earth/openstreetmap/10/519:
351.png  352.png  353.png

.marble/data/maps/earth/openstreetmap/2:
0  1  2  3

.marble/data/maps/earth/openstreetmap/2/0:
1.png

.marble/data/maps/earth/openstreetmap/2/1:
0.png  1.png  2.png

.marble/data/maps/earth/openstreetmap/2/2:
0.png  1.png  2.png

.marble/data/maps/earth/openstreetmap/2/3:
1.png

.marble/data/maps/earth/openstreetmap/3:
1  2  3  4  5  6

.marble/data/maps/earth/openstreetmap/3/1:
2.png

.marble/data/maps/earth/openstreetmap/3/2:
1.png  2.png  3.png

.marble/data/maps/earth/openstreetmap/3/3:
0.png  1.png  2.png  3.png  4.png

.marble/data/maps/earth/openstreetmap/3/4:
0.png  1.png  2.png  3.png

.marble/data/maps/earth/openstreetmap/3/5:
0.png  1.png  2.png  3.png  4.png

.marble/data/maps/earth/openstreetmap/3/6:
2.png

.marble/data/maps/earth/openstreetmap/4:
8

.marble/data/maps/earth/openstreetmap/4/8:
5.png

.marble/data/maps/earth/openstreetmap/5:
16

.marble/data/maps/earth/openstreetmap/5/16:
10.png  11.png

.marble/data/maps/earth/openstreetmap/6:
32

.marble/data/maps/earth/openstreetmap/6/32:
21.png  22.png

.marble/data/maps/earth/openstreetmap/7:
64

.marble/data/maps/earth/openstreetmap/7/64:
43.png  44.png

.marble/data/maps/earth/openstreetmap/8:
129

.marble/data/maps/earth/openstreetmap/8/129:
87.png  88.png

.marble/data/maps/earth/openstreetmap/9:
258  259

.marble/data/maps/earth/openstreetmap/9/258:
175.png  176.png

.marble/data/maps/earth/openstreetmap/9/259:
175.png  176.png

.marble/data/maps/earth/precip-dec:
0  1

.marble/data/maps/earth/precip-dec/0:
000000

.marble/data/maps/earth/precip-dec/0/000000:
000000_000000.jpg  000000_000001.jpg

.marble/data/maps/earth/precip-dec/1:
000000  000001

.marble/data/maps/earth/precip-dec/1/000000:
000000_000000.jpg  000000_000001.jpg  000000_000002.jpg  000000_000003.jpg

.marble/data/maps/earth/precip-dec/1/000001:
000001_000000.jpg  000001_000001.jpg  000001_000002.jpg  000001_000003.jpg

.marble/data/maps/earth/precip-july:
0  1

.marble/data/maps/earth/precip-july/0:
000000

.marble/data/maps/earth/precip-july/0/000000:
000000_000000.jpg  000000_000001.jpg

.marble/data/maps/earth/precip-july/1:
000000  000001

.marble/data/maps/earth/precip-july/1/000000:
000000_000000.jpg  000000_000001.jpg  000000_000002.jpg  000000_000003.jpg

.marble/data/maps/earth/precip-july/1/000001:
000001_000000.jpg  000001_000001.jpg  000001_000002.jpg  000001_000003.jpg

.marble/data/maps/earth/temp-dec:
0  1

.marble/data/maps/earth/temp-dec/0:
000000

.marble/data/maps/earth/temp-dec/0/000000:
000000_000000.jpg  000000_000001.jpg

.marble/data/maps/earth/temp-dec/1:
000000  000001

.marble/data/maps/earth/temp-dec/1/000000:
000000_000000.jpg  000000_000001.jpg  000000_000002.jpg  000000_000003.jpg

.marble/data/maps/earth/temp-dec/1/000001:
000001_000000.jpg  000001_000001.jpg  000001_000002.jpg  000001_000003.jpg

.marble/data/maps/earth/temp-july:
0  1

.marble/data/maps/earth/temp-july/0:
000000

.marble/data/maps/earth/temp-july/0/000000:
000000_000000.jpg  000000_000001.jpg

.marble/data/maps/earth/temp-july/1:
000000  000001

.marble/data/maps/earth/temp-july/1/000000:
000000_000000.jpg  000000_000001.jpg  000000_000002.jpg  000000_000003.jpg

.marble/data/maps/earth/temp-july/1/000001:
000001_000000.jpg  000001_000001.jpg  000001_000002.jpg  000001_000003.jpg

.marble/data/maps/mars:
viking

.marble/data/maps/mars/viking:
0  1  2  3  legend.html  marslandingsites.kml  marsterrain.kml  viking.dgml  viking-preview.png

.marble/data/maps/mars/viking/0:
000000

.marble/data/maps/mars/viking/0/000000:
000000_000000.jpg  000000_000001.jpg

.marble/data/maps/mars/viking/1:
000000  000001

.marble/data/maps/mars/viking/1/000000:
000000_000000.jpg  000000_000001.jpg  000000_000002.jpg  000000_000003.jpg

.marble/data/maps/mars/viking/1/000001:
000001_000000.jpg  000001_000001.jpg  000001_000002.jpg  000001_000003.jpg

.marble/data/maps/mars/viking/2:
000000  000001  000002  000003

.marble/data/maps/mars/viking/2/000000:
000000_000000.jpg  000000_000002.jpg  000000_000004.jpg  000000_000006.jpg
000000_000001.jpg  000000_000003.jpg  000000_000005.jpg  000000_000007.jpg

.marble/data/maps/mars/viking/2/000001:
000001_000000.jpg  000001_000002.jpg  000001_000004.jpg  000001_000006.jpg
000001_000001.jpg  000001_000003.jpg  000001_000005.jpg  000001_000007.jpg

.marble/data/maps/mars/viking/2/000002:
000002_000000.jpg  000002_000002.jpg  000002_000004.jpg  000002_000006.jpg
000002_000001.jpg  000002_000003.jpg  000002_000005.jpg  000002_000007.jpg

.marble/data/maps/mars/viking/2/000003:
000003_000000.jpg  000003_000002.jpg  000003_000004.jpg  000003_000006.jpg
000003_000001.jpg  000003_000003.jpg  000003_000005.jpg  000003_000007.jpg

.marble/data/maps/mars/viking/3:
000000  000001  000002  000003  000004  000005  000006  000007

.marble/data/maps/mars/viking/3/000000:
000000_000000.jpg  000000_000003.jpg  000000_000006.jpg  000000_000009.jpg  000000_000012.jpg  000000_000015.jpg
000000_000001.jpg  000000_000004.jpg  000000_000007.jpg  000000_000010.jpg  000000_000013.jpg
000000_000002.jpg  000000_000005.jpg  000000_000008.jpg  000000_000011.jpg  000000_000014.jpg

.marble/data/maps/mars/viking/3/000001:
000001_000000.jpg  000001_000003.jpg  000001_000006.jpg  000001_000009.jpg  000001_000012.jpg  000001_000015.jpg
000001_000001.jpg  000001_000004.jpg  000001_000007.jpg  000001_000010.jpg  000001_000013.jpg
000001_000002.jpg  000001_000005.jpg  000001_000008.jpg  000001_000011.jpg  000001_000014.jpg

.marble/data/maps/mars/viking/3/000002:
000002_000000.jpg  000002_000003.jpg  000002_000006.jpg  000002_000009.jpg  000002_000012.jpg  000002_000015.jpg
000002_000001.jpg  000002_000004.jpg  000002_000007.jpg  000002_000010.jpg  000002_000013.jpg
000002_000002.jpg  000002_000005.jpg  000002_000008.jpg  000002_000011.jpg  000002_000014.jpg

.marble/data/maps/mars/viking/3/000003:
000003_000000.jpg  000003_000003.jpg  000003_000006.jpg  000003_000009.jpg  000003_000012.jpg  000003_000015.jpg
000003_000001.jpg  000003_000004.jpg  000003_000007.jpg  000003_000010.jpg  000003_000013.jpg
000003_000002.jpg  000003_000005.jpg  000003_000008.jpg  000003_000011.jpg  000003_000014.jpg

.marble/data/maps/mars/viking/3/000004:
000004_000000.jpg  000004_000003.jpg  000004_000006.jpg  000004_000009.jpg  000004_000012.jpg  000004_000015.jpg
000004_000001.jpg  000004_000004.jpg  000004_000007.jpg  000004_000010.jpg  000004_000013.jpg
000004_000002.jpg  000004_000005.jpg  000004_000008.jpg  000004_000011.jpg  000004_000014.jpg

.marble/data/maps/mars/viking/3/000005:
000005_000000.jpg  000005_000003.jpg  000005_000006.jpg  000005_000009.jpg  000005_000012.jpg  000005_000015.jpg
000005_000001.jpg  000005_000004.jpg  000005_000007.jpg  000005_000010.jpg  000005_000013.jpg
000005_000002.jpg  000005_000005.jpg  000005_000008.jpg  000005_000011.jpg  000005_000014.jpg

.marble/data/maps/mars/viking/3/000006:
000006_000000.jpg  000006_000003.jpg  000006_000006.jpg  000006_000009.jpg  000006_000012.jpg  000006_000015.jpg
000006_000001.jpg  000006_000004.jpg  000006_000007.jpg  000006_000010.jpg  000006_000013.jpg
000006_000002.jpg  000006_000005.jpg  000006_000008.jpg  000006_000011.jpg  000006_000014.jpg

.marble/data/maps/mars/viking/3/000007:
000007_000000.jpg  000007_000003.jpg  000007_000006.jpg  000007_000009.jpg  000007_000012.jpg  000007_000015.jpg
000007_000001.jpg  000007_000004.jpg  000007_000007.jpg  000007_000010.jpg  000007_000013.jpg
000007_000002.jpg  000007_000005.jpg  000007_000008.jpg  000007_000011.jpg  000007_000014.jpg

.marble/data/maps/moon:
clementine

.marble/data/maps/moon/clementine:
0  1

.marble/data/maps/moon/clementine/0:
000000

.marble/data/maps/moon/clementine/0/000000:
000000_000000.jpg  000000_000001.jpg

.marble/data/maps/moon/clementine/1:
000000  000001

.marble/data/maps/moon/clementine/1/000000:
000000_000000.jpg  000000_000001.jpg  000000_000002.jpg  000000_000003.jpg

.marble/data/maps/moon/clementine/1/000001:
000001_000000.jpg  000001_000001.jpg  000001_000002.jpg  000001_000003.jpg

.marble/data/maps/venus:
magellan

.marble/data/maps/venus/magellan:
0  1  2  legend.html  magellan.dgml  magellan-preview.png  venuslandingsites.kml  venusterrain.kml

.marble/data/maps/venus/magellan/0:
000000

.marble/data/maps/venus/magellan/0/000000:
000000_000000.jpg  000000_000001.jpg

.marble/data/maps/venus/magellan/1:
000000  000001

.marble/data/maps/venus/magellan/1/000000:
000000_000000.jpg  000000_000001.jpg  000000_000002.jpg  000000_000003.jpg

.marble/data/maps/venus/magellan/1/000001:
000001_000000.jpg  000001_000001.jpg  000001_000002.jpg  000001_000003.jpg

.marble/data/maps/venus/magellan/2:
000000  000001  000002  000003

.marble/data/maps/venus/magellan/2/000000:
000000_000000.jpg  000000_000002.jpg  000000_000004.jpg  000000_000006.jpg
000000_000001.jpg  000000_000003.jpg  000000_000005.jpg  000000_000007.jpg

.marble/data/maps/venus/magellan/2/000001:
000001_000000.jpg  000001_000002.jpg  000001_000004.jpg  000001_000006.jpg
000001_000001.jpg  000001_000003.jpg  000001_000005.jpg  000001_000007.jpg

.marble/data/maps/venus/magellan/2/000002:
000002_000000.jpg  000002_000002.jpg  000002_000004.jpg  000002_000006.jpg
000002_000001.jpg  000002_000003.jpg  000002_000005.jpg  000002_000007.jpg

.marble/data/maps/venus/magellan/2/000003:
000003_000000.jpg  000003_000002.jpg  000003_000004.jpg  000003_000006.jpg
000003_000001.jpg  000003_000003.jpg  000003_000005.jpg  000003_000007.jpg

Best Regards.

(In reply to comment #1)
> Hi,
> 
> I can not reproduce this bug. Could you provide more information like your
> configuration file from ~/.kde/share/config/marblerc (or
> ~/.kde4/share/config/marblerc) and the contents of the directory ~/.marble (or
> ~/.local/share/marble)?
> 
> Which map theme do you use?
> 
> Best regards
> Bastian
Comment 3 bedwyr 2010-10-18 21:26:50 UTC
Created attachment 52662 [details]
New crash information added by DrKonqi

marble (0.10.1) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

- What I was doing when the application crashed:

moving the globe with the mouse on Atlas map

-- Backtrace (Reduced):
#6  0x00007f4864cf3bb4 in pixel (this=<value optimized out>, x=207, y=675) at ../../../../marble/src/lib/StackedTile.cpp:81
#7  Marble::StackedTile::pixel (this=<value optimized out>, x=207, y=675) at ../../../../marble/src/lib/StackedTile.cpp:321
#8  0x00007f4864ce7b86 in Marble::AbstractScanlineTextureMapper::pixelValueApprox (this=0xd25360, lon=<value optimized out>, lat=<value optimized out>, scanLine=0x12e8b54, n=17) at ../../../../marble/src/lib/AbstractScanlineTextureMapper.cpp:435
#9  0x00007f4864ce8496 in Marble::SphericalScanlineTextureMapper::mapTexture (this=0xd25360, viewParams=<value optimized out>) at ../../../../marble/src/lib/SphericalScanlineTextureMapper.cpp:188
#10 0x00007f4864c62ba6 in Marble::MarbleModel::paintGlobe (this=0xbe2410, painter=<value optimized out>, width=<value optimized out>, height=<value optimized out>, viewParams=0xbe1540, redrawBackground=true, dirtyRect=...) at ../../../../marble/src/lib/MarbleModel.cpp:593
Comment 4 Simeon 2011-12-18 21:12:57 UTC
This bug can no longer be reproduced.Report should be closed.
Comment 5 Bernhard Beschow 2013-01-10 22:04:40 UTC

*** This bug has been marked as a duplicate of bug 205893 ***